summaryrefslogtreecommitdiffstats
path: root/recipes/gcc/gcc-4.3.2/debian/cpu-default-i486.dpatch
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/gcc/gcc-4.3.2/debian/cpu-default-i486.dpatch')
-rw-r--r--recipes/gcc/gcc-4.3.2/debian/cpu-default-i486.dpatch37
1 files changed, 37 insertions, 0 deletions
diff --git a/recipes/gcc/gcc-4.3.2/debian/cpu-default-i486.dpatch b/recipes/gcc/gcc-4.3.2/debian/cpu-default-i486.dpatch
new file mode 100644
index 0000000000..1afa60faf2
--- /dev/null
+++ b/recipes/gcc/gcc-4.3.2/debian/cpu-default-i486.dpatch
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+
+# DP: set default 32bit ix86 architecture to i486
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+
+--- gcc/config/i386/i386.c~ 2007-06-28 13:23:31.000000000 +0200
++++ gcc/config/i386/i386.c 2007-06-28 13:26:33.000000000 +0200
+@@ -1953,7 +1953,7 @@
+ "-mtune=generic instead as appropriate.");
+
+ if (!ix86_arch_string)
+- ix86_arch_string = TARGET_64BIT ? "x86-64" : "i386";
++ ix86_arch_string = TARGET_64BIT ? "x86-64" : "i486";
+ else
+ ix86_arch_specified = 1;
+